logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.



Post new topic   Forum Index -> Building & Member Downloads View previous topic :: View next topic
Reply to topic   Topic: PHP 5.6.4, 5.5.20, 5.4.36, 5.3.29 (x86/x64) available Page Previous  1, 2, 3, 4
Author
laurin1



Joined: 26 Oct 2014
Posts: 43
Location: Flower Mound, TX

PostPosted: Mon 26 Jan '15 19:12    Post subject: Reply with quote

So, all our tests passed with this combination of my 5.6.2 build and your 5.6.4 build. We deployed and were thrilled.

And then....

For some reason, composer update crashes the CLI:


Faulting application name: php.exe, version: 5.6.4.0, time stamp: 0x54aa26b5
Faulting module name: php5.dll, version: 5.6.4.0, time stamp: 0x54aa29d6
Exception code: 0xc0000005
Fault offset: 0x00042688
Faulting process id: 0x3c70
Faulting application start time: 0x01d038244093e371
Faulting application path: c:\PHP\php.exe
Faulting module path: c:\PHP\php5.dll
Report Id: 84f987e1-a417-11e4-a8d8-c04a00044af8

If I revert back to 5.6.2, we have no issues with this. I'm walking through disabling various pieces in an attempt to find it, but I suspect it has something to do with the SSL files. Any suggestions?
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 43
Location: Flower Mound, TX

PostPosted: Mon 26 Jan '15 21:04    Post subject: Reply with quote

After much testing, it is actually the php5.dll file that is making this crash (guess I should have started with that one). Anyway, I can replace that file with the one from 5.6.4 from php.net and it composer update does not crash, all extensions load, everything works.
Back to top
drop_phone



Joined: 30 Mar 2015
Posts: 8
Location: USA, Redmond

PostPosted: Mon 30 Mar '15 21:18    Post subject: Reply with quote

Radek Hulán wrote:
Thank you for this build. Very useful to have SQLSRV, WinCache, and many others available under PHP 5.6 x64 Smile


WinCache will not work on x64 at this point. Sure, it will compile, but there are several places where it does (DWORD) casts of pointer values, which are guaranteed not to work on x64.

It's on my list of things to fix for PHP 7 (when we're going to take on the x64 problem).

Thx!
--E.
Back to top


Reply to topic   Topic: PHP 5.6.4, 5.5.20, 5.4.36, 5.3.29 (x86/x64) available View previous topic :: View next topic
Post new topic   Forum Index -> Building & Member Downloads Page Previous  1, 2, 3, 4